Package org.eclipse.pde.ui.templates

# Class ChoiceOption

java.lang.Object
org.eclipse.pde.ui.templates.TemplateField
org.eclipse.pde.ui.templates.TemplateOption
org.eclipse.pde.ui.templates.ChoiceOption

@Deprecated public class ChoiceOption extends TemplateOption
Deprecated.
see `RadioChoiceOption` and `ComboChoiceOption`
Implementation of the TemplateOption that allows users to choose a value from the fixed set of options.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`ChoiceOption(BaseOptionTemplateSection section, String name, String label, String[][] choices)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent, int span)`
Deprecated.
`String`
`getChoice()`
Deprecated.
`void`
`setEnabled(boolean enabled)`
Deprecated.
`void`
`setValue(Object value)`
Deprecated.

### Methods inherited from class org.eclipse.pde.ui.templates.TemplateOption

`getMessageLabel, getName, getValue, isEmpty, isEnabled, isRequired, setName, setRequired`

### Methods inherited from class org.eclipse.pde.ui.templates.TemplateField

`createLabel, getLabel, getSection, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChoiceOption

@Deprecated public ChoiceOption(BaseOptionTemplateSection section, String name, String label, String[][] choices)
Deprecated.
Constructor for ChoiceOption.

Parameters:
  `section` - the parent section.
  `name` - the unique name
  `label` - the presentable label
  `choices` - the list of choices from which the value can be chosen. Each array entry should be an array of size 2, where position 0 will be interpeted as the choice unique name, and position 1 as the choice presentable label.

## Method Details

### createControl

@Deprecated public void createControl(Composite parent, int span)
Deprecated.
Description copied from class: `TemplateField`
Subclasses must implement this method to create the control of the template field.

Specified by:
  `createControl` in class `TemplateField`
Parameters:
  `parent` - the parent composite the control should be created in
  `span` - number of columns that the control should span

### getChoice

@Deprecated public String getChoice()
Deprecated.
Returns the string value of the current choice.

Returns:
  the current choice or `null` if not initialized.

### setValue

@Deprecated public void setValue(Object value)
Deprecated.
Implements the superclass method by passing the new value to the option's widget.

Overrides:
  `setValue` in class `TemplateOption`
Parameters:
  `value` - the new value.

### setEnabled

@Deprecated public void setEnabled(boolean enabled)
Deprecated.
Description copied from class: `TemplateOption`
Sets the enabled state of this option. The action presentation of the enabled state depends on the implementing option.

Overrides:
  `setEnabled` in class `TemplateOption`
Parameters:
  `enabled` - the new enabled state